vigra - VectorNormFunctor< ValueType > Class Template Reference

[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| VectorNormFunctor< ValueType > Class Template Reference Functors to Transform Images |

A functor for computing the vector norm. More...

`#include <vigra/transformimage.hxx>`

List of all members.

## Public Types
typedef ValueType | argument_type
typedef NumericTraits < typename ValueType::value_type > ::RealPromote | result_type
## Public Member Functions
result_type | operator() (const argument_type &a) const

## Detailed Description

### template<class ValueType>
class vigra::VectorNormFunctor< ValueType >

A functor for computing the vector norm.

Calculate the magnitude or norm from a given vector-valued entity. The vector type will typically be some sort of ref vigra::TinyVector. If the vector is represented by a pair of scalar-valued images, use vigra::MagnitudeFunctor instead.

At least, the vector type is required to have a function 'result`= dot(v,v)`'.

Traits defined:

`FunctorTraits::isUnaryFunctor` is true (`VigraTrueType`)

Usage:

#include <vigra/transformimage.hxx>
Namespace: vigra

        typedef vigra::TinyVector<float, 2> Vector;
        vigra::BasicImage<Vector> grad(width, height);
        vigra::FImage magn(width,height);
        ...
        vigra::transformImage(srcImageRange(grad), destImage(magn),
                              VectorNormFunctor<float>()
                              );

See also:
  vigra::TinyVector, dot(), vigra::MagnitudeFunctor

## Member Typedef Documentation

typedef ValueType argument_type

the functor's argument type

typedef NumericTraits<typename ValueType::value_type>::RealPromote result_type

the functor's result type

## Member Function Documentation

result_type operator() | ( | const argument_type & | a | ) | const

calculate transform '`sqrt(v1*v1 + v2*v2 + ...)`'.

The documentation for this class was generated from the following file:

- vigra/transformimage.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.9.0 (Tue Nov 6 2012)